<?php
	// FONCTION QUI RETOURNE UNE VALEUR "ESCAPED"
	function escape_valeur($valeur)
	{
		global $connexion;
		
		// si les "magic quotes" sont à "on"
		if (get_magic_quotes_gpc())
			$valeur = stripslashes($valeur);
		
		$valeur = $connexion->real_escape_string($valeur);
		return $valeur;
	}
	
	// FONCTION QUI RETOURNE UNE VALEUR "ESCAPED"
	function escapeValue($valeur)
	{
		global $connexion;
		
		// si les "magic quotes" sont à "on"
		if (get_magic_quotes_gpc())
			$valeur = stripslashes($valeur);
		
		$valeur = $connexion->real_escape_string($valeur);
		return $valeur;
	}
	
	// Fonction qui permet de transformer les appostrophes et guillements d'une chaîne
	// NOTER QUE, POUR L'INSTANT, LA FONCTION NE TRANSFORME SEULEMENT QUE LES GUILLEMETS
	// à insérer dans un champ pour éviter que la châine coupe l'HTML
	// $prenom vaut $_SESSION['infos']['prenom'] qui vaut Ger'tru"de
	// ex: $html .= '<input type="text" name="prenom" value="' . $prenom . '"/>';
	// va afficher seulement Ger'tru dans le champ texte
	// donc en changeant les guillements par &quot;, ça s'affiche comme il faut
	// pourquoi ne pas seulement utiliser htmlentities()?? parce que s'il y a des backslash dans la chaîne,
	// plus particulèrement devant les guillements, ça semble causer problème également... je devrai creuser
	// davantage là dessus...
	//function transformSingleAndDoubleQuotes($valeur)
	function transformSingleAndDoubleQuotes($valeur)
	{		
		//$aRemplacer = array('\'','"');
		$aRemplacer = array('"');
		//$remplacements = array('','&quot;');
		$remplacements = array('&quot;');
		$valeur = str_replace($aRemplacer, $remplacements, $valeur);
		
		return $valeur;
	}
?>